Summary:	A fast downloader plugin for yum
Name:		yum-fast-downloader
Version:	0.5.2
Release:	1
License:	GPLv2+
Group:		System Environment/Base
Source:		%{name}-%{version}.tar.bz2
BuildArch:	noarch
Requires:       aria2

%description
This plugin intends to speedup yum downloads by using a download manager
application (currently Aria 2) for downloading files instead of URLGrabber
which is used by yum.
Currently, it provides the following features:
* Using fastest mirrors for downloading
* Downloading repository metadata from several mirrors simultaneously
* Downloading multiple packages in parallel from several mirrors

%prep
%setup -q

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/yum-plugins $RPM_BUILD_ROOT/etc/yum/pluginconf.d/
install -m 644 %{name}.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
install -m 644 %{name}.conf $RPM_BUILD_ROOT/etc/yum/pluginconf.d/

%files
%config(noreplace) /etc/yum/pluginconf.d/%{name}.conf
%doc README COPYING
/usr/lib/yum-plugins/*

%changelog
* Thu May 12 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.5.2-1
- Fixed a small bug and add a new config option in 0.5.2

* Wed May 11 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.5.1-1
- Renamed plugin to yum-fast-downloader so that it'll be run after presto
- Added README to the package as doc
- Added COPYING file

* Wed May 11 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.5-2
- Added aria2 as a requirement

* Wed May 11 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.5-1
- Initial version

